add_logo <- function(recipe, logo) {
  # recipe: SUNSET recipe
  # logo: URL to the logo
  system <- list.files(paste0(recipe$Run$output_dir, "/plots/"))

  files <- lapply(system, function(x) {
                  f <- list.files(paste0(recipe$Run$output_dir, "/plots/",
                                         system, "/"),
                                  recursive = TRUE,
                                  full.names = TRUE)
                                      })[[1]]
  dim(files) <- c(file = length(files))
  Apply(list(files), target_dims = NULL, function(x) {
        system(paste("composite -gravity southeast -geometry +10+10",
                     logo, x, x))}, ncores = recipe$Analysis$ncores)
}
